<?
if (!is_array($system)) {
  die('Ошибка при загрузке настроек WMID');
}

if (isset($_POST['LMI_PREREQUEST'])) {
  
  if (trim($_POST['LMI_PAYER_PURSE']) == 'R000000000001') {
    die('Ошибка(0): Кошелек участиника системы WMT не принадлежит вам, оплачивайте подтверждение со своего R кошелька.');
  }
  
  if (trim($_POST['LMI_PAYEE_PURSE']) != $system['wmpurse']) {
    die('Ошибка(1): Неверный кошелек получателя системы');
  }

  if (trim($_POST['LMI_PAYMENT_AMOUNT']) == null || trim($_POST['LMI_PAYMENT_AMOUNT']) < $system['wmid_auth_coins']) {
    die('Ошибка(2): Не указанна сумма перевода, либо она менее ' . $system['wmid_auth_coins'] . 'р.');
  }

  if ($sql -> selectCount("SELECT COUNT(*) FROM `users` WHERE `id` = '" . intval($_POST['id_user']) . "'") == 0) {
    die('Ошибка(3): Переданный ID пользователя не принадлежит ни одному из пользователей !');
  }

  $id_user = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . intval($_POST['id_user']) . "' LIMIT 1");
 
  if ($id_user['wmid'] && $id_user['purse']) {
    die('Ошибка(4): WMID и WMR уже подтверждены WMID: ' . $id_user['wmid'] . ', WM: ' . $id_user['purse']);
  }
  
  echo 'YES';
} elseif (isset($_POST['LMI_HASH'])) {

  $common_string = $_POST['LMI_PAYEE_PURSE'].$_POST['LMI_PAYMENT_AMOUNT'].$_POST['LMI_PAYMENT_NO'].$_POST['LMI_MODE'].$_POST['LMI_SYS_INVS_NO'].$_POST['LMI_SYS_TRANS_NO'].$_POST['LMI_SYS_TRANS_DATE'].$system['secret_key'].$_POST['LMI_PAYER_PURSE'].$_POST['LMI_PAYER_WM'];
  
  $hash = strtoupper(hash('sha256', $common_string));

  if($hash != $_POST['LMI_HASH']) {
    die('Ошибка доступа');
  }
  
  $id_user = intval($_POST['id_user']);
  $purse = $_POST['LMI_PAYER_PURSE'];
  $wmid = $_POST['LMI_PAYER_WM'];
  
  $msglog = "Подтверждение WMID " . $wmid . " и WM кошелька " . $purse;
  
  if ($system['j_setwmid'] == 1) {
    admin_journal($id_user, 'wmid', " $msglog");
  }
  
	$sql -> insert("INSERT INTO `billing_log` (`wmid`, `purse`, `time`, `type`, `id_user`, `coins`, `msg`) VALUES ('$wmid', '" . $sql->esc($purse) . "', '$time', 'verification', '$id_user', '-" . $system['wmid_auth_coins'] . "', '$msglog')");
  
  $sql -> update("UPDATE `users` SET `wmid` = '".esc($wmid)."', `purse` = '".$sql->esc($purse)."' WHERE `id` = '$id_user' LIMIT 1");
  
  // Подключение функций WMID
  require FUNC . 'incfunc.wmid.php';
  
   // Получение информации по WMID 
  $array = wmid_info($wmid, 'wmid');
  
  // Создание картинки c инфой по WMID 
  if (isset($array['wmid'])) {
    @save_wmid_img($array);    
  }
  exit;
}

if ($level == 0) {
  die('Вы не авторизованы'); 
}


$system['title'] = 'Подтверждение WMID';

require SYS . 'header.php';

if ($user['wmid'] == 0 && $user['purse'] == 0) {
?>
<div class="nav1">
  <div class="alert" style="margin: 2px;">
   Для подтверждения WMID, необходимо оплатить <?= $system['wmid_auth_coins']?> wmr в счет нашей торговой площадки. Данная процедура проводится только один раз, для одного аккаунта.
  </div>

  <form action="https://merchant.webmoney.ru/lmi/payment.asp" method="POST" style="margin: 2px;">
    <fieldset>
      
      <input type=hidden name="LMI_PAYMENT_AMOUNT" value="<?= $system['wmid_auth_coins']?>">
      <input type=hidden name="LMI_PAYMENT_DESC" value="WMID | <?= text($_SERVER['HTTP_HOST'])?> | <?= $user['login']?>">
      <input type=hidden name="LMI_PAYEE_PURSE" value="<?= $system['wmpurse']?>">
      <input type=hidden name="LMI_RESULT_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>">
      <input type=hidden name="LMI_FAIL_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>">
      <input type=hidden name="LMI_SUCCESS_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>">
      <input type=hidden name="id_user" value="<?= $user['id']?>">
     <button type="submit" class="btn btn-block btn-info">Оплатить</button>
    </fieldset>
  </form>
</div>
<?  
} else {
?>
  <div class="alert alert-success" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_ok.png" /> WMID и WM кошелёк подтверждены!<br />
      <a href="/?func=user.main" class="btn">Перейти в кабинет</a>
    </center>
  </div>
<?
}